#ifndef CMANAGER_PROTOS_H
#define CMANAGER_PROTOS_H

#ifndef REG
#ifdef _DCC
#define REG(x) __ ## x
#else
#define REG(x) register __ ## x
#endif
#endif

extern struct CMGroup  *CM_GetParent( REG( a0 ) struct CMGroup *, REG( a1 ) struct CMGroup * );
extern BOOL             CM_LoadData( REG( a0 ) STRPTR, REG( a1 ) struct CMData *, REG( a2 ) STRPTR );
extern void             CM_SaveData( REG( a0 ) STRPTR, REG( a1 ) struct CMData *, REG( a2 ) STRPTR );
extern void             CM_FreeData( REG( a0 ) struct CMData * );
extern APTR             CM_StartManager( REG( a0 ) STRPTR, REG( a1 ) STRPTR );
extern void             CM_FreeHandle( REG( a0 ) APTR, REG( d0 ) BOOL );
extern APTR             CM_AllocEntry( REG( d0 ) ULONG );
extern void             CM_FreeEntry( REG( a0 ) APTR );
extern APTR             CM_GetEntry( REG( a0 ) APTR, REG( d0 ) ULONG );
extern struct BitMap   *CM_CreateBitMap( REG( d0 ) ULONG, REG( d1 ) ULONG, REG( d2 ) ULONG, REG( d3 ) ULONG, REG( a0 ) struct BitMap * );
extern void             CM_DeleteBitMap( REG( a0 ) struct BitMap * );
extern BOOL             CM_AddEntry( REG( a0 ) APTR );
extern void             CM_FreeList( REG( a0 ) struct MinList * );
extern struct CMData   *CM_LoadCurrentUserData( REG( d0 ) BOOL );

#endif /* CMANAGER_PROTOS_H */
